Subject: Re: [PATCH net-next 2/4] vmxnet3: add latency measurement support in vmxnet3

From: Simon Horman <[email-masked]>
Date: Mon, 20 May 2024 21:06:10 +0100

On Mon, May 20, 2024 at 12:19:43PM -0700, Ronak Doshi wrote:
> > On Wed, May 15, 2024 at 3:46 AM Simon Horman <[email-masked]> wrote:
> > If not, I would suggest making this feature optional and only compiled
> > for x86. That might mean factoring it out into a different file. I'm
> > unsure.
> I can move the rdpmc code under #if defined(__i386__) ||
> defined(__x86_64__) so that it will be no-op for other architectures.
> Will that be fine?

Hi Ronak,

I think that it would be an good improvement, as long as the result is a
working driver for other architectures.

Perhaps #ifdef CONFIG_X86 can be used as the guard.
I also would suggest using rdpmc helpers if possible.